org.apache.solr.client.solrj.cloud.autoscaling

## Class NoneSuggester

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Suggester
  - - org.apache.solr.client.solrj.cloud.autoscaling.NoneSuggester

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class NoneSuggester
    extends Suggester

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`Suggester.Hint, Suggester.SuggestionInfo`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`hints, originalViolations`

### Constructor Summary

Constructors
Constructor and Description
`NoneSuggester()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NoneSuggester` `get(Policy.Session session)`
`SolrRequest` `getSuggestion()`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`forceOperation, getAction, getSession, hint, isAllowed, isNodeSuitableForReplicaAddition, toString, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Constructor Detail

#### NoneSuggester

    public NoneSuggester()

### Method Detail

#### get

    public static NoneSuggester get(Policy.Session session)

#### getSuggestion

    public SolrRequest getSuggestion()

Overrides:
  `getSuggestion` in class `Suggester`